/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../libs.h"

/** Definition of a Sprite Batch. */
typedef struct {
  /** Maximum sprites the batch can hold. */
  int32_t maxSprites;

  /** The current/next sprite index. */
  int32_t currentSprite;

  /** Internal primitive */
  primitive_t *primitive;
} spritebatch_t;