/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../../display/primitive.h"

#define POKER_CHIP_NAME "Poker Chip"
#define POKER_CHIP_VERTICE_COUNT 88
#define POKER_CHIP_INDICE_COUNT 228
#define POKER_CHIP_TRIANGLE_COUNT 76

/**
 * Generated Model Poker Chip
 * Generated at Wed, 19 May 2021 14:20:06 GMT
 * @returns Poker Chip as a primitive.
 */
primitive_t * pokerChipCreate();
