/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "chip.h"

void holdemRenderChipInit() {
  GAME_STATE.chipPrimitive = pokerChipCreate();
  GAME_STATE.chipTexture = assetTextureLoad("pokerchip.png");
}

void holdemRenderChip() {
  shaderUsePositionAndScale(GAME_STATE.shaderWorld,
    0, 0.05, -0.6,
    0, 0, 0,
    0.2, 0.2, 0.2
  );
  shaderUseTexture(GAME_STATE.shaderWorld, GAME_STATE.chipTexture);
  primitiveDraw(GAME_STATE.chipPrimitive, 0, -1);
}